--
-- Setting Things Up
--

local _, L = ...;

-- --
-- -- Action
-- --

local function Test()
	local function HideAdvancedInderface()
		local objects = { MinimapCluster, ObjectiveTrackerFrame, UIErrorsFrame, PlayerFrame, TargetFrame, PetFrame }
		for _,object in pairs(objects) do
			if object then
				object:Hide()
			end
		end
		local function MinimapTrigger()
			local frame = CreateFrame("FRAME","MinimapTrigger",UIParent)
			frame:SetAllPoints(MinimapCluster)
			frame:SetScript("OnEnter", function() MinimapCluster:Show() end)
			frame:SetScript("OnLeave", function() MinimapCluster:Hide() end)
		end
		MinimapTrigger()
	end
	HideAdvancedInderface()
end

-- --
-- -- Initialization
-- --

function MyTest()
	setmetatable(L, {__index=AdvancedInterface});
	Test()
end


